Bug 984977 - [User Portal] RDP Auto behaves differently then SPICE Auto, RDP Auto installs ActiveX
[User Portal] RDP Auto behaves differently then SPICE Auto, RDP Auto installs...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.4.0
Assigned To: Frantisek Kobzik
Pavel Stehlik
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 09:56 EDT by Jiri Belka
Modified: 2013-09-06 04:45 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-06 04:45:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (97.05 KB, image/png)
2013-07-16 09:56 EDT, Jiri Belka
no flags Details

  None (edit)
Description Jiri Belka 2013-07-16 09:56:36 EDT
Created attachment 774264 [details]
screenshot

Description of problem:

SPICE Auto console type does not install plugin, but it does check for its existence and if present it uses it.

RDP Auto console type does install ActiveX if not present and uses it.

This is inconsistent behavior.

Version-Release number of selected component (if applicable):
is5

How reproducible:
100%

Steps to Reproduce:
1. have clean IE 9 Windows 7 64bit with recommended settings
2. open User Portal with Windows 8 64bit (or try some other windows for RDP?)
3. console type should be Remote Desktop, mode 'Auto'
4. double click on VM icon to open console

Actual results:
1. IE popup with:
Message from webpage
Error: Access denied.

2. in the botton of the IE there's 'This webpage want to run the following add-on: Remote Desktop Services ActiveX Client from Microsoft Cor...' [Allow]

Expected results:
just check for plugin and use it if installed, just like SPICE Auto does

Additional info:
Comment 1 Jodi Biddle 2013-08-01 02:22:00 EDT
This appears to have been assigned to the documentation by mistake. Reassigning to spice-activex-win. Please feel free to move it elsewhere if that's not where it belongs.
Comment 2 Uri Lublin 2013-08-07 11:39:32 EDT
This is not a spice-active-x bug. Reassigning to user-portal.
Comment 3 Frantisek Kobzik 2013-09-06 04:45:44 EDT
Hi, 

there is a catch in detecting presence of rdp activex addon. I tested it and the detection mechanism (for RDP) always returns true (even on clean ie). My suspicion is that rdp addon is pre-installed on windows. So for rdp it's not about "installing" the addon but more about "embedding" it (which also invokes the well-known security popup) and the behavior of "auto" is correct.

Of course, I can add the detection mechanism for RDP but it would only result in one more security popup and would make little sense.

Note You need to log in before you can comment on or make changes to this bug.